Sign Out
Revokes refresh tokens and terminates the user session. Requires a valid access token in the Authorization header.
Headers
- Type: stringX
- Correlation - Id Optional caller-provided correlation ID; echoed in responses when present.
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE.
Body
application/json
- Type: stringaccess
_token Required. Added to the blacklisted token list.
- Type: stringclient
OAuth client ID provided by the business. Required to identify the client application for token revocation. The OAuth application must have the Advance Auth scope enabled.
- Type: stringrefresh
_token Required. Specifically revokes this token.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api2/signout
curl https://SERVER_NAME_GOES_HERE/api2/signout \
--request POST \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--data '{
"client": "CLIENT_GOES_HERE",
"access_token": "ACCESS_TOKEN_GOES_HERE",
"refresh_token": "REFRESH_TOKEN_GOES_HERE"
}'
{
"data": [
"Successfully signed out."
]
}